/*
  Desarrolle un programa en C que determine si un cliente de una tienda departamental ha excedido
  el lmite de crdito en una cuenta de cargo. Para uno de los clientes, estn disponibles los
  siguientes hechos:
     1. Nmero de la cuenta.
	 2. Saldo al principio del mes.
	 3. Total de todos los elementos cargados por el cliente este mes.
	 4. Total de todos los crditos aplicados en este mes a la cuenta de este cliente.
	 5. Lmite permitido de crdito.
  El programa deber introducir cada uno de estos hechos, calcular el nuevo saldo
  (= saldo inicial + Cargos - Crdito), y determinar si el nuevo saldo excede el lmite de crdito
  del cliente. Para aquellos clientes cuyo lmite de crdito est excedido, el programa deber
  desplegar el nmero de cuenta del cliente, el lmite de crdito, el nuevo saldo y el mensaje
  "lmite de crdito excedido".
*/

# include <stdio.h>
# include <stdlib.h>	// Para utilizar instruccin: toupper ();
						//   convierte minsculas en maysculas

main()
{
	char continuar='s';
	int num_cuenta=0;
	float saldo_inicial=0, cargos=0, credito=0, lim_credito=0, saldo=0;

	printf("Desarrolle un programa en C que determine si un cliente de una tienda departa-\n");
	printf("  mental ha excedido el limite de credito en una cuenta de cargo. Para uno de los");
	printf("  clientes, estan disponibles los siguientes hechos:\n");
    printf("     1. Numero de la cuenta.\n");
	printf("     2. Saldo al principio del mes.\n");
	printf("     3. Total de todos los elementos cargados por el cliente este mes.\n");
	printf("     4. Total de todos los creditos aplicados en este mes a la cuenta de este\n");
	printf("        cliente.\n");
	printf("     5. Limite permitido de credito.\n");
    printf("  El programa debera introducir cada uno de estos hechos, calcular el nuevo\n");
	printf("  saldo (= saldo inicial + Cargos - Credito), y determinar si el nuevo saldo\n");
	printf("  excede el lmite de credito del cliente. Para aquellos clientes cuyo limite de\n");
	printf("  credito este excedido, el programa debera desplegar el numero de cuenta del\n");
	printf("  cliente, el limite de credito, el nuevo saldo y el mensaje: \"limite de credito");
	printf("  excedido\".\n\n\n");

	while (toupper(continuar) != 'N')
	{
		printf("Introduzca el numero de cuenta: ");
		scanf("%d", &num_cuenta);
		printf("Introduzca el saldo a principio de mes: ");
		scanf("%f", &saldo_inicial);
		printf("Introduzca el total de cargos en el mes: ");
		scanf("%f", &cargos);
		printf("Introduzca el total de credito en el mes: ");
		scanf("%f", &credito);
		printf("Introduzca el limite de credito premitido: ");
		scanf("%f", &lim_credito);
		saldo = saldo_inicial + cargos - credito;

		if (saldo > lim_credito)
		{
			printf("Cuenta: %d\n", num_cuenta);
			printf("Limite de credito: %.2f\n", lim_credito);
			printf("Nuevo saldo: %.2f\n", saldo);
			printf("Limite de credito exedido!!!");
		}
		else
			printf("OK. Puede proseguir!!!");
		printf("\n\n");

		getchar();
		printf("Desea continuar? [S/N]: ");
		scanf("%c", &continuar);
		printf("\n\n\n");
	}

    getchar();
	return 0;
}